/models
Get available models.
GET /models
GET /modelsGet a list of available models in the similarity dataset.
These represent the different permutations of skill and occupation mappings across various taxonomies. The models whose names have two taxonomies separated by a hyphen accept an item from the first taxonomy as input and return items from the second taxonomy. For example, lotspecocc-skill will take an LOT specialized occupation ID as input and return a list of related skills. The models that don't list two taxonomies in their name, such as lotocc and onet, will return similar items from their respective taxonomy.
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Code Examples
curl --request GET \
--url https://api.lightcast.io/similarity/models \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>'Response Examples
{
"data": [
"lotocc-skill",
"lotocc",
"lotspecocc-skill",
"lotspecocc",
"onet-skill",
"onet",
"skill-lotocc",
"skill-lotspecocc",
"skill-onet",
"skill-soc",
"skill",
"soc-skill",
"soc"
]
}POST /models/{model}
POST /models/{model}Get similarity mappings based on selected model and input taxonomy item.
skill,skill-soc,skill-onet,skill-lotoccandskill-lotspecoccmodels can accept a list of up to 1000 items, however, for best results it's recommended to not exceed 150. All other models only accept a single item as a string.
skill-soc,skill-onet,skill-lotoccand skill-lotspecocc models return a maximum of 50 objects in a response.
Path Parameters
| Name | Type | Description |
|---|---|---|
| model | string | Model to use for similarity. See /models for available models. Example: soc |
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Request Body
{
"input": "11-1011",
"filter": {
"minScore": 0.6
},
"limit": 10
}Code Examples
curl --request POST \
--url https://api.lightcast.io/similarity/models/lotocc-skill \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>' \
--header 'content-type: application/json' \
--data '
{
"input": "11-1011",
"filter": {
"minScore": 0.6
},
"limit": 10
}
'Response Examples
{
"data": [
{
"id": "11-1021",
"name": "General and Operations Managers",
"score": 0.90581
},
{
"id": "11-9199",
"name": "Managers, All Other",
"score": 0.85705
},
{
"id": "43-1011",
"name": "First-Line Supervisors of Office and Administrative Support Workers",
"score": 0.85133
},
{
"id": "11-3111",
"name": "Compensation and Benefits Managers",
"score": 0.83532
},
{
"id": "11-3031",
"name": "Financial Managers",
"score": 0.81818
},
{
"id": "11-9033",
"name": "Education Administrators, Postsecondary",
"score": 0.80606
},
{
"id": "11-9072",
"name": "Entertainment and Recreation Managers, Except Gambling",
"score": 0.80348
},
{
"id": "11-9151",
"name": "Social and Community Service Managers",
"score": 0.80104
},
{
"id": "11-2032",
"name": "Public Relations Managers",
"score": 0.79965
},
{
"id": "43-5061",
"name": "Production, Planning, and Expediting Clerks",
"score": 0.79694
}
]
}{
"errors": [
{
"detail": "1.1 is not of type 'string', 'integer' (items.0.msa)",
"status": 400,
"title": "Invalid request"
}
]
}{
"errors": [
{
"status": 500,
"title": "Internal server error",
"detail": "Failed to connect to data source"
}
]
}
